module mode_convert

    use parameters
    use box
    use elements
    use io

    public 
    contains

    subroutine convert
        !This subroutine converts a single input file from one format to another
        character(len=100) :: infile, outfile
        real(kind = dp) :: temp_box_bd(6)
        !We have to allocate the element and atom arrays with a size of 1 for the read in code to work
        call alloc_ele_arrays(1,1)
        !First read in the file
        call get_command_argument(2, infile)
        call get_in_file(infile)
        call read_in(1, (/0.0_dp,0.0_dp,0.0_dp/), temp_box_bd)
        call grow_box(temp_box_bd)

        !Now get the outfile, writing is done after all the codes complete
        call get_command_argument(3, outfile)
        call get_out_file(outfile)

    end subroutine convert
end module mode_convert